%option noyywrap
%option caseless

%{
#include <stdio.h>


#include "calc.tab.h"
extern YYSTYPE yylval;

%}

%%

[ \t\n]	;
[0-9]+\.[0-9]+ 	{yylval.fv = atof(yytext); return FLOAT;}
[0-9]+		    {yylval.iv = atoi(yytext); return INT;}


"CREATE"	{return CREATE;}
"INSERT"	{return INSERT;}
"INTO"		{return INTO;}
"SELECT"	{return SELECT;}
"FROM"		{return FROM;}
"WHERE"		{return WHERE;}
"VALUES"	{return VALUES;}
"DELETE"	{return DELETE;}
"UPDATE"	{return UPDATE;}
"SET"		{return SET;}
"JOIN"      {return JOIN;}
"TABLE"		{return TABLE;}


;		    {return NEWLINE;}

[*]			return *yytext;
[,]			return *yytext;
[=]			return *yytext;
[<]			return *yytext;
[>]			return *yytext;
[(]         return *yytext;
[)]         return *yytext;


"quit"		{return QUIT;}

[a-zA-Z][a-zA-Z0-9]+	{return IDENTIFIER;}

%%
